Bug 188889 - kernel spec file 2.6.16 -1.2128 breaks, if deleteme exists
kernel spec file 2.6.16 -1.2128 breaks, if deleteme exists
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-13 04:43 EDT by Thomas Steudten
Modified: 2015-01-04 17:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-18 17:48:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Steudten 2006-04-13 04:43:25 EDT
Description of problem:

start building the kernel (rpmbuild -ba --target ... kernel-2.6.spec)
the %pre stage moves the old build to deleteme and starts the remove in background. 
If you break this process, the folder deleteme and deleteme2 will still
exists and the build process stops.
There's no check, if the deleteme and deleteme2 folder exists.

# We already have a vanilla dir.
  cd kernel-%{kversion}
  if [ -d linux-%{kversion}.%{_target_cpu} ]; then
     mv linux-%{kversion}.%{_target_cpu} deleteme
     rm -rf deleteme &
  fi
  if [ -d xen ]; then
     mv xen deleteme2
     rm -rf deleteme2 &
  fi


Version-Release number of selected component (if applicable):
2.6.16 -1.2128


How reproducible:
Start build process, interrupt it, start again.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Build process stops

Expected results:
Spec file should remove the deleteme folders and continue working.

Additional info:
Comment 1 Dave Jones 2006-04-18 17:48:13 EDT
for the sake of keeping the specfile as clean as possible (this snippet of
script is already pretty ugly), I'm going to close this as a "don't do that".
Comment 2 Thomas Steudten 2006-04-20 05:57:08 EDT
You can simply add "/bin/rm -rf deleteme; mv linux-xx deletme".
This don't gives the error any more, if the deleteme folder still exists.

Note You need to log in before you can comment on or make changes to this bug.